View Issue Details

IDProjectCategoryView StatusLast Update
0031569FPCFCLpublic2017-07-23 11:06
ReporterDerit AgustinAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformwin32OSWindowsOS VersionXp
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031569: create rebar winapi windows xp
Descriptioncreate rebar in windows xp not work
i found solution
http://stackoverflow.com/questions/16649908/creating-rebar-control-and-introduction-a-band-with-toolbar-into-the-rebar

rbBand.cbSize = REBARBANDINFO_V3_SIZE;

but REBARBANDINFO_V3_SIZE not found in fpc
Additional Informationhttps://msdn.microsoft.com/en-us/library/windows/desktop/hh298349(v=vs.85).aspx

https://msdn.microsoft.com/en-us/library/windows/desktop/bb774375(v=vs.85).aspx

http://stackoverflow.com/questions/16649908/creating-rebar-control-and-introduction-a-band-with-toolbar-into-the-rebar
TagsNo tags attached.
Fixed in Revision36767
FPCOldBugId
FPCTarget
Attached Files

Activities

Thaddy de Koning

2017-03-20 14:45

reporter   ~0099081

So it should read some declarations are missing in Windows.pas regarding the rebar control. That is correct and confirmed. Also missing in the alternative.

Marco van de Voort

2017-03-20 22:20

manager   ~0099096

(afaik rebar is something coolbar alike, so there might already be a wrapping lazarus control. If I have time, I'll see if I can dig up some headers though)

Derit Agustin

2017-03-22 01:40

reporter   ~0099124

it's only winapi level for create small apps, not use lcl lazarus

Thaddy de Koning

2017-03-22 17:53

reporter   ~0099143

Last edited: 2017-03-22 17:54

View 2 revisions

I have a coolbar for KOL if that is what you mean? For years.. Using that API.

Derit Agustin

2017-03-23 23:33

reporter   ~0099178

yes @thaddy
but kol use windows.pas delphi version not fpc version

Thaddy de Koning

2017-03-24 07:32

reporter   ~0099180

Last edited: 2017-03-24 07:44

View 3 revisions

Anyway: almost all the rebar related declarations are already in the commctrl unit.
So I don't think it is a bug.
Maybe you just looked in windows?
They belong in commctrl and are complete.
I know the REBARBANDINFO_V3_SIZE is commented out, but:
REBARBANDINFO_V3_SIZE is simply SizeOf(REBARBANDINFOW)
The version that is really missing is REBARBANDINFO_V6_XX.
I tested it against my KOL code and it seems to work as expected.

Thaddy de Koning

2017-03-24 10:01

reporter  

Project2.dpr (4,194 bytes)

Thaddy de Koning

2017-03-24 10:03

reporter   ~0099190

Last edited: 2017-03-24 10:38

View 2 revisions

I added the example translated to Pascal.

Maybe Marco can add REBARBANDINFO_V3_SIZE := SizeOf(REBARBANDINFOW);
For the rest there is no change required.

[edit] Ignore for now. I noticed I made a mistake in the attached example.

Derit Agustin

2017-03-24 23:18

reporter  

Screenshot_168.png (5,310 bytes)
Screenshot_168.png (5,310 bytes)

Derit Agustin

2017-03-24 23:21

reporter   ~0099209

@thaddy code example not showing the rebar or toolbar, i've attached screenshot

Thaddy de Koning

2017-03-25 13:00

reporter   ~0099219

Well. That's the problem: I wrote the code first based on my KOL code, but my KO setup indeed uses the win units from D7 in my case. Yes, with FPC...

So therefor I asked you to ignore it, while I search for the difference between the commctrl declarations for the Rebar.

Derit Agustin

2017-03-25 23:34

reporter   ~0099224

i has been testing in delphi berlin and result same like in fpc

Michael Van Canneyt

2017-07-23 11:06

administrator   ~0101864

Added the definitions. Note that the definition without A/W suffix points to the ANSI version, unless you recompile the unit with define UNICODE.

Issue History

Date Modified Username Field Change
2017-03-19 20:16 Derit Agustin New Issue
2017-03-20 14:45 Thaddy de Koning Note Added: 0099081
2017-03-20 22:20 Marco van de Voort Note Added: 0099096
2017-03-22 01:40 Derit Agustin Note Added: 0099124
2017-03-22 17:53 Thaddy de Koning Note Added: 0099143
2017-03-22 17:54 Thaddy de Koning Note Edited: 0099143 View Revisions
2017-03-23 23:33 Derit Agustin Note Added: 0099178
2017-03-24 07:32 Thaddy de Koning Note Added: 0099180
2017-03-24 07:44 Thaddy de Koning Note Edited: 0099180 View Revisions
2017-03-24 07:44 Thaddy de Koning Note Edited: 0099180 View Revisions
2017-03-24 10:01 Thaddy de Koning File Added: Project2.dpr
2017-03-24 10:03 Thaddy de Koning Note Added: 0099190
2017-03-24 10:38 Thaddy de Koning Note Edited: 0099190 View Revisions
2017-03-24 23:18 Derit Agustin File Added: Screenshot_168.png
2017-03-24 23:21 Derit Agustin Note Added: 0099209
2017-03-25 13:00 Thaddy de Koning Note Added: 0099219
2017-03-25 23:34 Derit Agustin Note Added: 0099224
2017-07-23 10:12 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-07-23 10:12 Michael Van Canneyt Status new => assigned
2017-07-23 11:06 Michael Van Canneyt Note Added: 0101864
2017-07-23 11:06 Michael Van Canneyt Status assigned => resolved
2017-07-23 11:06 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-23 11:06 Michael Van Canneyt Resolution open => fixed
2017-07-23 11:06 Michael Van Canneyt Target Version => 3.2.0
2017-07-23 11:06 Michael Van Canneyt Fixed in Revision => 36767